// RSBlob.cpp : implementation file
//

#include "stdafx.h"
#include "Blobs2.h"
#include "RSBlob.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// RSBlob

IMPLEMENT_DYNAMIC(RSBlob, CDaoRecordset)

RSBlob::RSBlob(CDaoDatabase* pdb)
	: CDaoRecordset(pdb)
{
	//{{AFX_FIELD_INIT(RSBlob)
	m_ID = 0;
	m_SomeText = _T("");
	m_nFields = 3;
	//}}AFX_FIELD_INIT
	m_nDefaultType = dbOpenDynaset;
}


CString RSBlob::GetDefaultDBName()
{
	return _T("E:\\Projects\\Blobs2\\BLOBS.mdb");
}

CString RSBlob::GetDefaultSQL()
{
	return _T("[Table]");
}

void RSBlob::DoFieldExchange(CDaoFieldExchange* pFX)
{
	//{{AFX_FIELD_MAP(RSBlob)
	pFX->SetFieldType(CDaoFieldExchange::outputColumn);
	DFX_Long(pFX, _T("[ID]"), m_ID);
	DFX_Text(pFX, _T("[SomeText]"), m_SomeText);
	DFX_Binary(pFX, _T("[Images]"), m_Images);
	//}}AFX_FIELD_MAP
}

/////////////////////////////////////////////////////////////////////////////
// RSBlob diagnostics

#ifdef _DEBUG
void RSBlob::AssertValid() const
{
	CDaoRecordset::AssertValid();
}

void RSBlob::Dump(CDumpContext& dc) const
{
	CDaoRecordset::Dump(dc);
}
#endif //_DEBUG
